summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2010-07-11 08:44:19 +0000
committerMichael Weber <xmw@gentoo.org>2010-07-11 08:44:19 +0000
commit7fdb016de4fef511eb8620811c5e5891c035cc18 (patch)
tree479ccda16341a9b1c9d29ac9e62898f09c09e696 /games-fps
parentMask app-portage/pusher. (diff)
downloadsunrise-7fdb016de4fef511eb8620811c5e5891c035cc18.tar.gz
sunrise-7fdb016de4fef511eb8620811c5e5891c035cc18.tar.bz2
sunrise-7fdb016de4fef511eb8620811c5e5891c035cc18.zip
games-fps/hexen2-demodata: Ebuild cleanup, added amd64 specific SRC_URI
svn path=/sunrise/; revision=10995
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/hexen2-demodata/ChangeLog4
-rw-r--r--games-fps/hexen2-demodata/Manifest5
-rw-r--r--games-fps/hexen2-demodata/hexen2-demodata-1.4.3.ebuild13
3 files changed, 15 insertions, 7 deletions
diff --git a/games-fps/hexen2-demodata/ChangeLog b/games-fps/hexen2-demodata/ChangeLog
index a2da1d507..9439ed5e2 100644
--- a/games-fps/hexen2-demodata/ChangeLog
+++ b/games-fps/hexen2-demodata/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 11 Jul 2010; Michael Weber (xmw) <gentoo@xmw.de>
+ hexen2-demodata-1.4.3.ebuild:
+ Ebuild cleanup, added amd64 specific SRC_URI
+
31 Jan 2010; Markos Chandras <hwoarang@gentoo.org>
hexen2-demodata-1.4.3.ebuild:
Drop depcreated built_with_use call
diff --git a/games-fps/hexen2-demodata/Manifest b/games-fps/hexen2-demodata/Manifest
index db89bd9ee..7c5e76631 100644
--- a/games-fps/hexen2-demodata/Manifest
+++ b/games-fps/hexen2-demodata/Manifest
@@ -1,4 +1,5 @@
DIST hexen2demo-1.4.3-linux-i586.tgz 18830708 RMD160 94041d507cc5bf181ac5d191f50c80ba7f8b2a1c SHA1 db51780c01eb34d0b28d073f31a06800ebe49dec SHA256 d0e07793524a16675f42a973536a19b3baf15ace2abbbbd979e2870c3e99e192
-EBUILD hexen2-demodata-1.4.3.ebuild 995 RMD160 c6451bf71340e942cf1f5922333a803fe45799cc SHA1 13c713e08383a75547c5459996399f3cf55bc39e SHA256 1bc2559cd53989de471a665b129e789ed32d1f6de9d616ecf42d6735cbaa8abf
-MISC ChangeLog 978 RMD160 8d971303a80ab5e8fc49f81c5678872d830c7a9b SHA1 2137b1fda9df7e732d21718d32274b1a11d650c6 SHA256 2de81087ac798fe6ad08b9454fdf27a6b146114e381aea0f626a2a11849c161a
+DIST hexen2demo-1.4.3-linux-x86_64.tgz 18994389 RMD160 8e8863a741d365a866dbfed462260507c2f150e0 SHA1 105ee7648ef7ae4b0b5b607b7f6499b0329d471b SHA256 ee4a63b944521efee9e453edd50a19046676000a935b4fd6ff3a3fb2b2dce9f7
+EBUILD hexen2-demodata-1.4.3.ebuild 1142 RMD160 4f4df658be6b29201d9fcdc41455f35f0760346b SHA1 28a58997d1e5b373238429eb2774eab5084e68f6 SHA256 46d354b458989a492c795978855829c62cd79eb6b1ff8e7b04adb9e6e5f5b60e
+MISC ChangeLog 1109 RMD160 94bf44bd220d8e3bc32879e7bc5884a82b08cd96 SHA1 6bd441f616e2c244ba7ab678e2198147ae4cc810 SHA256 9216e4a23a226836d88345da6f8bced0c7742bb5f151f3fb94c1b37122c2105e
MISC metadata.xml 325 RMD160 dd31534c2579c873845a318e61e7b0592316f940 SHA1 9286cd2c059a9044411caefb7e88b714786d0fea SHA256 e079c4a8e68521f5478b1e61ae27707f2f2ce28aed2814383bb781918e109d0e
diff --git a/games-fps/hexen2-demodata/hexen2-demodata-1.4.3.ebuild b/games-fps/hexen2-demodata/hexen2-demodata-1.4.3.ebuild
index fbde5a45f..66de55bff 100644
--- a/games-fps/hexen2-demodata/hexen2-demodata-1.4.3.ebuild
+++ b/games-fps/hexen2-demodata/hexen2-demodata-1.4.3.ebuild
@@ -2,27 +2,30 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI=2
inherit eutils games
MY_PN="hexen2"
+MY_P="${MY_PN}demo-${PV}"
DESCRIPTION="Demo data for Hexen 2"
HOMEPAGE="http://uhexen2.sourceforge.net/"
-SRC_URI="mirror://sourceforge/uhexen2/hexen2demo-${PV}-linux-i586.tgz"
+SRC_URI="amd64? ( mirror://sourceforge/u${MY_PN}/${MY_P}-linux-x86_64.tgz )
+ ppc? ( mirror://sourceforge/u${MY_PN}/${MY_P}-linux-i586.tgz )
+ x86? ( mirror://sourceforge/u${MY_PN}/${MY_P}-linux-i586.tgz )"
LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
-S=${WORKDIR}/hexen2demo-${PV}
+S=${WORKDIR}/${MY_P}
dir=${GAMES_DATADIR}/${MY_PN}
src_install() {
- insinto "${dir}"/demo
- doins -r data1 || die "doins data1 failed"
+ insinto "${GAMES_DATADIR}"/${MY_PN}/demo
+ doins -r data1 || die
# All the docs are regarding uhexen2, rather than the demo data.